Package org.opensaml.xmlsec.signature.impl

# Class X509DigestImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.core.xml.schema.impl.XSBase64BinaryImpl
org.opensaml.xmlsec.signature.impl.X509DigestImpl

All Implemented Interfaces:
  `XSBase64Binary`, `XMLObject`, `X509Digest`

public class X509DigestImpl extends XSBase64BinaryImpl implements X509Digest
Concrete implementation of `X509Digest`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`algorithm`
Algorithm attribute value.

### Fields inherited from interface org.opensaml.xmlsec.signature.X509Digest

`ALGORITHM_ATTRIB_NAME, DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

### Fields inherited from interface org.opensaml.core.xml.schema.XSBase64Binary

`TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`X509DigestImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getAlgorithm()`
Get the Algorithm URI attribute value.
`void`
`setAlgorithm(String newAlgorithm)`
Set the Algorithm URI attribute value.

### Methods inherited from class org.opensaml.core.xml.schema.impl.XSBase64BinaryImpl

`getOrderedChildren, getValue, setValue`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

### Methods inherited from interface org.opensaml.core.xml.schema.XSBase64Binary

`getValue, setValue`

## Field Details

### algorithm

@Nullable private String algorithm
Algorithm attribute value.

## Constructor Details

### X509DigestImpl

protected X509DigestImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getAlgorithm

@Nullable public String getAlgorithm()
Get the Algorithm URI attribute value.

Specified by:
  `getAlgorithm` in interface `X509Digest`
Returns:
  the Algorithm URI attribute value

### setAlgorithm

public void setAlgorithm(@Nullable String newAlgorithm)
Set the Algorithm URI attribute value.

Specified by:
  `setAlgorithm` in interface `X509Digest`
Parameters:
  `newAlgorithm` - the new Algorithm URI attribute value